List the affiliate ledger
curl --request GET \
--url https://api.getoneprofile.ai/affiliate/ledger/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/affiliate/ledger/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/affiliate/ledger/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount_cents": 123,
"available_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "commission",
"occurred_at": "2023-11-07T05:31:56Z"
}
],
"next_page_cursor": "<string>",
"previous_page_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}affiliate
List the affiliate ledger
The itemized, signed history of every commission, clawback, payout and adjustment, newest first.
GET
/
affiliate
/
ledger
/
List the affiliate ledger
Authorizations
APIKeyHeaderHTTPBearer
Query Parameters
The number of items to return.
Required range:
1 <= x <= 100Available options:
id, occurred_at, created_at Available options:
asc, desc Set the cursor to the next or previous page. You can get the cursor from the previous page's response.
Response
Successful Response
The list of ResponseItems.
Show child attributes
Show child attributes
The cursor to the next page. If there are no more pages, this is None.
The cursor to the previous page. If there are no previous pages, this is None.
Was this page helpful?